%define version	0.8
%define release	2mdk
%define name	rio500
%define usbdevfs 0

Summary: Rio 500 Support
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://rio500.sourceforge.net/
BuildRequires:	glib-devel
%if %{usbdevfs}
BuildRequires:	libusb0.1-devel
%endif

%description 
The Rio 500 support package consists of a static library (librio500)
containing low level rio access routines and a number of command
line utilities. These utilities will allow you to format the
memory in your rio, add/delete folders, and add/delete songs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q


%build
%configure --with-id3support --with-psffont=%{_datadir}/rio500/fonts/font-bitmaps.psf --with-usbdevfs=%{usbdevfs}

%make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

mkdir $RPM_BUILD_ROOT%{_includedir}/rio500
mv $RPM_BUILD_ROOT%{_includedir}/*.h $RPM_BUILD_ROOT%{_includedir}/rio500/

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL INSTALL.bsd NEWS README TODO
%{_bindir}/*
%{_datadir}/rio500
%{_mandir}/*/*


%package devel
Summary:	Header files and static libraries needed for rio500 development
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
This package includes the header files and libraries needed for
developing programs accesing a rio500.

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*
%{_includedir}/rio500

%changelog
* Thu Jul 19 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8-2mdk
- BuildRequires:	glib-devel
- Copyright --> License

* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Correct versionning and Description

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-0.04052001.1mdk
- Snapshot release (04052001) which works with 2.4 kernel

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Correct path for fonts
- Use more macros

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Compiled with usbdevfs support

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- macros
- BM

* Mon Aug 11 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.7-0mdk
- initial mdk release. no device created
- no usbdevfs support
- from Keith Clayton's spec file (kclayton@jps.net) for 0.7-1
